using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record PeopleSettings(string GenealogicalDataCommunicationFile,
                             string[] JLinks,
                             string PersonBirthdayFormat,
                             string PersonCharacters)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, PeopleSettingsSourceGenerationContext.Default.PeopleSettings);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(PeopleSettings))]
internal partial class PeopleSettingsSourceGenerationContext : JsonSerializerContext
{
}