using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record PersonKeyFormattedAndPersonBirthday(string PersonKeyFormatted, PersonBirthday PersonBirthday)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, PersonKeyFormattedAndPersonBirthdaySourceGenerationContext.Default.PersonKeyFormattedAndPersonBirthday);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(PersonKeyFormattedAndPersonBirthday))]
public partial class PersonKeyFormattedAndPersonBirthdaySourceGenerationContext : JsonSerializerContext
{
}