using System.Collections.ObjectModel;
using View_by_Distance.Shared.Models.Properties;

namespace View_by_Distance.Shared.Models.Stateless;

public interface IWindows
{

    ReadOnlyCollection<string> ConvertAndGetFastForwardMovingPictureExpertsGroupFiles(IWindowsSettings windowsSettings, HttpClient? httpClient, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(HttpClient? httpClient, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(HttpClient httpClient, Uri uri);
    void ConstructProgressBar(int maxTicks, string message);
    void Tick();

}